# vtkGDCMImageWriter Class Reference

`#include <vtkGDCMImageWriter.h>`

List of all members.

## Public Types

enum | CompressionTypes { NO_COMPRESSION = 0, JPEG_COMPRESSION, JPEG2000_COMPRESSION, JPEGLS_COMPRESSION, RLE_COMPRESSION }

## Public Member Functions

virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDirectionCosines (vtkMatrix4x4 *matrix)
virtual void | SetDirectionCosinesFromImageOrientationPatient (const double dircos[6])
virtual void | SetFileNames (vtkStringArray *)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *)
| vtkBooleanMacro (LossyFlag, int)
| vtkBooleanMacro (FileLowerLeft, int)
| vtkGetMacro (Shift, double)
| vtkGetMacro (CompressionType, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (FileLowerLeft, int)
| vtkGetMacro (LossyFlag, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetStringMacro (StudyUID)
| vtkGetStringMacro (SeriesUID)
| vtkSetMacro (PlanarConfiguration, int)
| vtkSetMacro (CompressionType, int)
| vtkSetMacro (Shift, double)
| vtkSetMacro (FileLowerLeft, int)
| vtkSetMacro (ImageFormat, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (LossyFlag, int)
| vtkSetStringMacro (SeriesUID)
| vtkSetStringMacro (StudyUID)
| vtkTypeRevisionMacro (vtkGDCMImageWriter, vtkImageWriter)
virtual void | Write ()

## Static Public Member Functions

static vtkGDCMImageWriter * | New ()

## Protected Member Functions

| vtkGDCMImageWriter ()
| ~vtkGDCMImageWriter ()
virtual char * | GetFileName ()
int | WriteGDCMData (vtkImageData *data, int timeStep)
void | WriteSlice (vtkImageData *data)

## Detailed Description

Examples:

  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, gdcmorthoplanes.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, HelloVTKWorld2.cs, MagnifyFile.cxx, and RefCounting.cs.

## Member Enumeration Documentation

enum vtkGDCMImageWriter::CompressionTypes

Enumerator:

  NO_COMPRESSION |
  JPEG_COMPRESSION |
  JPEG2000_COMPRESSION |
  JPEGLS_COMPRESSION |
  RLE_COMPRESSION |

## Constructor & Destructor Documentation

vtkGDCMImageWriter::vtkGDCMImageWriter | ( | ) | `[protected]`

vtkGDCMImageWriter::~vtkGDCMImageWriter | ( | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkGDCMImageWriter::GetDescriptiveName | ( | ) | `[inline, virtual]`

virtual const char* vtkGDCMImageWriter::GetFileExtensions | ( | ) | `[inline, virtual]`

virtual char* vtkGDCMImageWriter::GetFileName | ( | ) | `[protected, virtual]`

static vtkGDCMImageWriter* vtkGDCMImageWriter::New | ( | ) | `[static]`

Examples:
  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, gdcmorthoplanes.cxx, HelloActiviz.cs, HelloVTKWorld.cs, HelloVTKWorld2.cs, MagnifyFile.cxx, and RefCounting.cs.

virtual void vtkGDCMImageWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  | `[virtual]`

virtual void vtkGDCMImageWriter::SetDirectionCosines | ( | vtkMatrix4x4 * | matrix ) | `[virtual]`

Examples:
  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, gdcmorthoplanes.cxx, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, and MagnifyFile.cxx.

virtual void vtkGDCMImageWriter::SetDirectionCosinesFromImageOrientationPatient | ( | const double | dircos[6] ) | `[virtual]`

virtual void vtkGDCMImageWriter::SetFileNames | ( | vtkStringArray * | ) | `[virtual]`

virtual void vtkGDCMImageWriter::SetMedicalImageProperties | ( | vtkMedicalImageProperties * | ) | `[virtual]`

Examples:
  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, gdcmorthoplanes.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, and MagnifyFile.cxx.

vtkGDCMImageWriter::vtkBooleanMacro | ( | LossyFlag | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkBooleanMacro | ( | FileLowerLeft | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | LossyFlag | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | CompressionType | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | Shift | ,
|  | double |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | Scale | ,
|  | double |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | ImageFormat | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | FileLowerLeft | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkGetMacro | ( | PlanarConfiguration | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkGetObjectMacro | ( | MedicalImageProperties | ,
|  | vtkMedicalImageProperties |
| ) |  |

vtkGDCMImageWriter::vtkGetObjectMacro | ( | FileNames | ,
|  | vtkStringArray |
| ) |  |

vtkGDCMImageWriter::vtkGetObjectMacro | ( | DirectionCosines | ,
|  | vtkMatrix4x4 |
| ) |  |

vtkGDCMImageWriter::vtkGetStringMacro | ( | SeriesUID | ) |

vtkGDCMImageWriter::vtkGetStringMacro | ( | StudyUID | ) |

vtkGDCMImageWriter::vtkSetMacro | ( | LossyFlag | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkSetMacro | ( | Shift | ,
|  | double |
| ) |  |

vtkGDCMImageWriter::vtkSetMacro | ( | Scale | ,
|  | double |
| ) |  |

vtkGDCMImageWriter::vtkSetMacro | ( | ImageFormat | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkSetMacro | ( | CompressionType | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkSetMacro | ( | FileLowerLeft | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkSetMacro | ( | PlanarConfiguration | ,
|  | int |
| ) |  |

vtkGDCMImageWriter::vtkSetStringMacro | ( | StudyUID | ) |

vtkGDCMImageWriter::vtkSetStringMacro | ( | SeriesUID | ) |

vtkGDCMImageWriter::vtkTypeRevisionMacro | ( | vtkGDCMImageWriter | ,
|  | vtkImageWriter |
| ) |  |

virtual void vtkGDCMImageWriter::Write | ( | ) | `[virtual]`

Examples:
  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, gdcmorthoplanes.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, HelloVTKWorld2.cs, and MagnifyFile.cxx.

int vtkGDCMImageWriter::WriteGDCMData | ( | vtkImageData * | data,
|  | int | timeStep
| ) |  | `[protected]`

void vtkGDCMImageWriter::WriteSlice | ( | vtkImageData * | data ) | `[protected]`

The documentation for this class was generated from the following file:

- vtkGDCMImageWriter.h